| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PoolDbTokenWrap Class Reference

`#include <PoolDb/PoolDbNTupleDescriptor.h>`

Collaboration diagram for PoolDbTokenWrap:

[legend]
List of all members.

## Detailed Description

Description:.

Author:
  M.Frank

Version:
  1.0

Definition at line 45 of file PoolDbNTupleDescriptor.h.

## Public Member Functions
| PoolDbTokenWrap ()
| Standard constructor.
| PoolDbTokenWrap (const PoolDbTokenWrap &wrp)
| Copy constructor.
virtual | ~PoolDbTokenWrap ()
| Standard destructor.
bool | operator== (const PoolDbTokenWrap &c) const
| Equality operator.
PoolDbTokenWrap & | operator= (const PoolDbTokenWrap &wrp)
| Assignment operator.
## Public Attributes
pool::Token | token
| Aggregated token object.

## Constructor & Destructor Documentation

PoolDbTokenWrap::PoolDbTokenWrap | ( |  | ) | `[inline]`

Standard constructor.

Definition at line 50 of file PoolDbNTupleDescriptor.h.

    00050 {}

PoolDbTokenWrap::PoolDbTokenWrap | ( | const PoolDbTokenWrap & | wrp | ) | `[inline]`

Copy constructor.

Definition at line 53 of file PoolDbNTupleDescriptor.h.

References pool::Token::setData(), and token.

    00053                                                {
    00054     wrp.token.setData(&token);
    00055   }

virtual PoolDbTokenWrap::~PoolDbTokenWrap | ( |  | ) | `[inline, virtual]`

Standard destructor.

Definition at line 58 of file PoolDbNTupleDescriptor.h.

    00058 {}

## Member Function Documentation

bool PoolDbTokenWrap::operator== | ( | const PoolDbTokenWrap & | c | ) | const`[inline]`

Equality operator.

Definition at line 61 of file PoolDbNTupleDescriptor.h.

References c, and token.

    00061                                                   {
    00062     return token == c.token;
    00063   }

PoolDbTokenWrap& PoolDbTokenWrap::operator= | ( | const PoolDbTokenWrap & | wrp | ) | `[inline]`

Assignment operator.

Definition at line 66 of file PoolDbNTupleDescriptor.h.

References pool::Token::setData(), and token.

    00066                                                           {
    00067     wrp.token.setData(&token);
    00068     return *this;
    00069   }

## Member Data Documentation

pool::Token PoolDbTokenWrap::token

Aggregated token object.

Definition at line 47 of file PoolDbNTupleDescriptor.h.

Referenced by load(), operator=(), operator==(), PoolDbTokenWrap(), and save().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPoolDb/v4r0/GaudiPoolDb/PoolDbNTupleDescriptor.h